<?php
/*****************************************************************************
 * Copyright (C) 2015
 *   
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of ThermFerm
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * ThermFerm is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/

require_once('utilities.php');

if (isset($_GET['action'])) {
    switch ($_GET['action']) {
	case 'dl':              archive_dl();
				break;
	case 'view':		archive_view();
				break;
	default:                break;
    }
} else {
    archive_dir();
}

exit;

/****************************************************************************
 *
 */




/*
 *
 */
function archive_dir() {

    $answer = send_cmd("ARCHIVE DIR");
    $reply = explode("\r\n", $answer);

    $outstr  = build_header("Archived logfiles");
    $outstr .= '    <div id="errors">'.PHP_EOL;
    $outstr .= '    </div> <!-- errors -->'.PHP_EOL;
    $outstr .= '    <div id="etable">'.PHP_EOL;
    $outstr .= '     <table class="setup">'.PHP_EOL;
    $outstr .= '      <tr class="trhead">'.PHP_EOL;
    $outstr .= '       <td class="setup" style="width: 340px;">File name</td>'.PHP_EOL;
    $outstr .= '       <td class="setup" style="width:  90px;">Mode</td>'.PHP_EOL;
    $outstr .= '       <td class="setup" style="width: 100px;">Size</td>'.PHP_EOL;
    $outstr .= '       <td class="setup" style="width: 140px;">Date</td>'.PHP_EOL;
    $outstr .= '       <td class="setup" style="width: 110px;">Action</td>'.PHP_EOL;
    $outstr .= '      </tr>'.PHP_EOL;

    if (startsWith($reply[0], "212")) {
	$j = 1;
	while (1) {
	    if (strcmp($reply[$j], ".") == 0)
		break;
	    $f = explode(",", $reply[$j]);
	    $outstr .= '      <tr class="setup">'.PHP_EOL;
	    $outstr .= '       <td class="setup">'.$f[0].'</td>'.PHP_EOL;
	    $outstr .= '       <td class="setup">'.$f[1].'</td>'.PHP_EOL;
	    $outstr .= '       <td class="setup">'.$f[2].'</td>'.PHP_EOL;
	    $outstr .= '       <td class="setup">'.$f[3].'</td>'.PHP_EOL;
	    $outstr .= '       <td class="setup"><a href="archives.php?action=dl&amp;name='.urlencode($f[0]).'">Download</a>';
	    $outstr .= ' <a href="archives.php?action=view&amp;name='.urlencode($f[0]).'">View</a></td>'.PHP_EOL;
	    $outstr .= '      </tr>'.PHP_EOL;
	    $j++;
	}
    }

    $outstr .= '     </table>'.PHP_EOL;
    $outstr .= '    </div> <!-- etable -->'.PHP_EOL;
    $outstr .= build_footer();
    echo $outstr;
}



